System.Design 2.0.0.0

The interface is the contract between the control designer and a design host that enables the design host to manipulate the HTML tag at design time.

Provides an interface for design-time access to the HTML markup for a control that is associated with a control designer.

- Method
  2.0.0.0
  System.String `` To be added.

  Retrieves the value of the identified attribute on the tag.

  A string containing the value of the attribute.

  The name of the attribute.
- Method
  2.0.0.0
  System.String To be added.

  Retrieves the HTML markup for the content of the tag.

  The HTML markup for the content of the tag.

- Method
  2.0.0.0
  System.String To be added.

  Retrieves the complete HTML markup for the control, including the outer tags.

  The outer HTML markup for the control.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether or not an attribute or the content of a tag has changed.

- Method
  2.0.0.0
  System.Void `` To be added.

  Deletes the specified attribute from the tag.

  The name of the attribute.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Sets the value of the specified attribute and creates the attribute, if necessary.

  The attribute name. The attribute value.
- Method
  2.0.0.0
  System.Void `` To be added.

  Sets the HTML markup for the content of the tag.

  The HTML markup for the content of the tag.
- Method
  2.0.0.0
  System.Void `` To be added.

  Sets the property of the tag.

  The value for the property.